Package org.kapott.hbci.GV_Result

# Class GVRTermUeb

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRTermUeb

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public class GVRTermUeb extends HBCIJobResultImpl
Rückgabedaten für das Einreichen einer terminierten Überweisung. Beim Einreichen einer terminierten Überweisung gibt die Bank u.U. eine Auftrags-Identifikationsnummer zurück, die benutzt werden kann, um den Auftrag später zu ändern oder zu löschen.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRTermUeb()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getOrderId()`
Gibt die Auftrags-ID zurück, unter der der Auftrag bei der Bank geführt wird.
`void`
`setOrderId(String orderid)`
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GVRTermUeb

public GVRTermUeb()

## Method Details

### setOrderId

public void setOrderId(String orderid)

### getOrderId

public String getOrderId()
Gibt die Auftrags-ID zurück, unter der der Auftrag bei der Bank geführt wird.

Returns:
  die Auftrags-ID oder `null`, wenn die Bank keine Auftrags-IDs unterstützt

### toString

public String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`